Zum Hauptinhalt springen

Get a list of currently active models

GET/v2/ai-hosting-models
API-Version
v2
Request-Methode
GET
Operation-ID
ai-hosting-get-models

Request​

Keine Request-Parameter.

Responses​

Format
application/json
Beschreibung

List of currently active models.

  • Array[
    • *object
      • displayNamestringrequired
      • docLinkstringrequired
      • labelstring (einer von: lts, stable, experimental, legacy stable, preview)
      • namestringrequired
      • termsOfServiceLinkstringrequired
      • tokenFactornumber (float)required
    ]
Content-Type: application/json

[
{
"displayName": "string",
"docLink": "string",
"label": "lts",
"name": "string",
"termsOfServiceLink": "string",
"tokenFactor": 123
}
]
{
"items": {
"properties": {
"displayName": {
"type": "string"
},
"docLink": {
"type": "string"
},
"label": {
"enum": [
"lts",
"stable",
"experimental",
"legacy stable",
"preview"
],
"type": "string"
},
"name": {
"type": "string"
},
"termsOfServiceLink": {
"type": "string"
},
"tokenFactor": {
"format": "float",
"type": "number"
}
},
"required": [
"name",
"displayName",
"docLink",
"termsOfServiceLink",
"tokenFactor"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/ai-hosting-models
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingGetModels({});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingGetModels\AiHostingGetModelsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new AiHostingGetModelsRequest());
$response = $client->aiHosting()->aiHostingGetModels($request);

var_dump($response->getBody();

Auf dieser Seite